Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::CombineDocumentInfo Class Reference
Inheritance diagram for foxit::pdf::CombineDocumentInfo:

## Public Member Functions
| CombineDocumentInfo (const CombineDocumentInfo &other)
| Constructor, with another information object. More...
| CombineDocumentInfo (const PDFDoc &doc)
| Constructor, with parameters. More...
| CombineDocumentInfo (const WString &file_path, const WString &password)
| Constructor, with parameters. More...
| ~CombineDocumentInfo ()
| Destructor.
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const CombineDocumentInfo &other) const
| Not equal operator. More...
CombineDocumentInfo & | operator= (const CombineDocumentInfo &other)
| Assign operator. More...
bool | operator== (const CombineDocumentInfo &other) const
| Equal operator. More...
void | SetBookmarkTitle (const WString &bookmark_title)
| Set the title of a new parent bookmark for the root bookmark of related source PDF document in combined result file. More...
void | SetPDFFileName (const WString &pdf_file_name)
| Set the name of the PDF file, which will be combined with other PDF files. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents information of source PDF file which is to be combined with other PDF files.

## Constructor & Destructor Documentation

## ◆ CombineDocumentInfo() [1/3]

foxit::pdf::CombineDocumentInfo::CombineDocumentInfo | ( | const WString & | file_path,
|  | const WString & | password
| ) |  |

Constructor, with parameters.

This constructor does not check the validity of input PDF file and the check will be done in function Combination::StartCombineDocuments.

Parameters

  [in] | file_path | File path of a PDF file, which is to be combined with other PDF files.
  [in] | password | Owner password of PDF file which is specified by parameter file_path.

## ◆ CombineDocumentInfo() [2/3]

foxit::pdf::CombineDocumentInfo::CombineDocumentInfo | ( | const PDFDoc & | doc | ) |

Constructor, with parameters.

This constructor does not check the validity of input PDF file and the check will be done in function Combination::StartCombineDocuments.

Parameters

  [in] | doc | A valid PDF document object which represents a PDF file to be combined with other PDF files. Please ensure input PDF document object have been loaded; otherwise unknown error may occur later when current information object is used.

## ◆ CombineDocumentInfo() [3/3]

foxit::pdf::CombineDocumentInfo::CombineDocumentInfo | ( | const CombineDocumentInfo & | other | ) |

Constructor, with another information object.

Parameters

  [in] | other | Another information object.

## Member Function Documentation

## ◆ IsEmpty()

bool foxit::pdf::CombineDocumentInfo::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::pdf::CombineDocumentInfo::operator!= | ( | const CombineDocumentInfo & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another information object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

CombineDocumentInfo& foxit::pdf::CombineDocumentInfo::operator= | ( | const CombineDocumentInfo & | other | ) |

Assign operator.

Parameters

  [in] | other | Another information object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::CombineDocumentInfo::operator== | ( | const CombineDocumentInfo & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another information object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ SetBookmarkTitle()

void foxit::pdf::CombineDocumentInfo::SetBookmarkTitle | ( | const WString & | bookmark_title | ) |

Set the title of a new parent bookmark for the root bookmark of related source PDF document in combined result file.

This function is to set the bookmark title for a new bookmark in combined result file, if option value Combination::e_CombineDocsOptionBookmark is used for combination and related source PDF file has any bookmark. The new bookmark will be used as a parent bookmark and root bookmark of related source PDF doucment will be inserted to be the child node of the new parent bookmark in combined result PDF file.
If no bookmark title is set or an empty title is set, GSDK will generate a bookmark title automatically during combination process which is started by function Combination::StartCombineDocuments.

Parameters

  [in] | bookmark_title | Title of a new parent bookmark which is used in combined result PDF file.

Returns
  None.

## ◆ SetPDFFileName()

void foxit::pdf::CombineDocumentInfo::SetPDFFileName | ( | const WString & | pdf_file_name | ) |

Set the name of the PDF file, which will be combined with other PDF files.

This function is invalid if the constructor CombineDocumentInfo::CombineDocumentInfo with a file path parameter is called. If option value Combination::e_CombineDocsOptionOCProperties is used for combination and the PDF file to be combined has multiple layers, then the PDF file name to be set will be shown on the root node of the combined PDF file's layers.

Parameters

  [in] | pdf_file_name | The name of the PDF file, which will be combined with other PDF files.

Returns
  None.